<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
S-Index
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="S-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-16.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-18.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-17.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-17.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>
<A NAME="_S_"><!-- --></A><H2>
<B>S</B></H2>
<DL>
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#save()"><B>save()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>save preferences.
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#sendFile(java.io.File)"><B>sendFile(File)</B></A> - 
Method in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Send a file to the server via the network.
<DT><A HREF="../org/bitfountain/network/server/Server.html" title="class in org.bitfountain.network.server"><B>Server</B></A> - Class in <A HREF="../org/bitfountain/network/server/package-summary.html">org.bitfountain.network.server</A><DD>Server application core.<DT><A HREF="../org/bitfountain/network/server/Server.html#Server()"><B>Server()</B></A> - 
Constructor for class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/Server.html" title="class in org.bitfountain.network.server">Server</A>
<DD>Creates a new Server.
<DT><A HREF="../org/bitfountain/gui/server/ServerApp.html" title="class in org.bitfountain.gui.server"><B>ServerApp</B></A> - Class in <A HREF="../org/bitfountain/gui/server/package-summary.html">org.bitfountain.gui.server</A><DD>Server-side application, to monitor file sending throughout the network.<DT><A HREF="../org/bitfountain/gui/server/ServerApp.html#ServerApp()"><B>ServerApp()</B></A> - 
Constructor for class org.bitfountain.gui.server.<A HREF="../org/bitfountain/gui/server/ServerApp.html" title="class in org.bitfountain.gui.server">ServerApp</A>
<DD>Create a new ServerApp.
<DT><A HREF="../org/bitfountain/network/server/ServerCommunication.html" title="class in org.bitfountain.network.server"><B>ServerCommunication</B></A> - Class in <A HREF="../org/bitfountain/network/server/package-summary.html">org.bitfountain.network.server</A><DD>Class containing all useful methods to communicate
 with the clients.<DT><A HREF="../org/bitfountain/network/server/ServerCommunication.html#ServerCommunication(org.bitfountain.io.Logger)"><B>ServerCommunication(Logger)</B></A> - 
Constructor for class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ServerCommunication.html" title="class in org.bitfountain.network.server">ServerCommunication</A>
<DD>Create a new ServerCommunication.
<DT><A HREF="../org/bitfountain/gui/notifications/Notification.html#setContents(javax.swing.JComponent)"><B>setContents(JComponent)</B></A> - 
Method in class org.bitfountain.gui.notifications.<A HREF="../org/bitfountain/gui/notifications/Notification.html" title="class in org.bitfountain.gui.notifications">Notification</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#setLastPort(int)"><B>setLastPort(int)</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#setLastServer(java.lang.String)"><B>setLastServer(String)</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#setLastUploadDirectory(java.lang.String)"><B>setLastUploadDirectory(String)</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/Preferences.html#setLastUsername(java.lang.String)"><B>setLastUsername(String)</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/Preferences.html" title="class in org.bitfountain.gui.client">Preferences</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/ServerCommunication.html#setLoss(double)"><B>setLoss(double)</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ServerCommunication.html" title="class in org.bitfountain.network.server">ServerCommunication</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/ClientInfo.html#setName(java.lang.String)"><B>setName(String)</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server">ClientInfo</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/notifications/Notification.html#show(java.lang.String)"><B>show(String)</B></A> - 
Static method in class org.bitfountain.gui.notifications.<A HREF="../org/bitfountain/gui/notifications/Notification.html" title="class in org.bitfountain.gui.notifications">Notification</A>
<DD>Show a notification for 2ms.
<DT><A HREF="../org/bitfountain/gui/notifications/Notification.html#showAt(int)"><B>showAt(int)</B></A> - 
Method in class org.bitfountain.gui.notifications.<A HREF="../org/bitfountain/gui/notifications/Notification.html" title="class in org.bitfountain.gui.notifications">Notification</A>
<DD>Show a slide-in notification at the specified x coordinate.
<DT><A HREF="../org/bitfountain/math/SingularMatrixException.html" title="class in org.bitfountain.math"><B>SingularMatrixException</B></A> - Exception in <A HREF="../org/bitfountain/math/package-summary.html">org.bitfountain.math</A><DD>That exception is thrown when a matrix couldn't be reduced
 with the Gauss algorithm.<DT><A HREF="../org/bitfountain/math/SingularMatrixException.html#SingularMatrixException(java.lang.String)"><B>SingularMatrixException(String)</B></A> - 
Constructor for exception org.bitfountain.math.<A HREF="../org/bitfountain/math/SingularMatrixException.html" title="class in org.bitfountain.math">SingularMatrixException</A>
<DD>Create a new gauss exception with a message.
<DT><A HREF="../org/bitfountain/math/Vector.html#size()"><B>size()</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Vector.html" title="class in org.bitfountain.math">Vector</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/notifications/SlideInTest.html" title="class in org.bitfountain.gui.notifications"><B>SlideInTest</B></A> - Class in <A HREF="../org/bitfountain/gui/notifications/package-summary.html">org.bitfountain.gui.notifications</A><DD>Notifications test.<DT><A HREF="../org/bitfountain/gui/notifications/SlideInTest.html#SlideInTest()"><B>SlideInTest()</B></A> - 
Constructor for class org.bitfountain.gui.notifications.<A HREF="../org/bitfountain/gui/notifications/SlideInTest.html" title="class in org.bitfountain.gui.notifications">SlideInTest</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/server/ConfigPane.html#stateChanged(javax.swing.event.ChangeEvent)"><B>stateChanged(ChangeEvent)</B></A> - 
Method in class org.bitfountain.gui.server.<A HREF="../org/bitfountain/gui/server/ConfigPane.html" title="class in org.bitfountain.gui.server">ConfigPane</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/MainWindow.html#step()"><B>step()</B></A> - 
Method in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/MainWindow.html" title="class in org.bitfountain.gui.client">MainWindow</A>
<DD>Method that will be called in an infinite loop to
 update each progress bar of each element of each
 filezones (up- and downloading zone).
<DT><A HREF="../org/bitfountain/gui/client/transfer/TransferList.html#step()"><B>step()</B></A> - 
Method in class org.bitfountain.gui.client.transfer.<A HREF="../org/bitfountain/gui/client/transfer/TransferList.html" title="class in org.bitfountain.gui.client.transfer">TransferList</A>
<DD>Method to update the progress bars of the elements of
 the UploadList.
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#step(org.bitfountain.network.packets.FilePart)"><B>step(FilePart)</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSNetDecoder</A>
<DD>Do a little bit more work from the received packet.
<DT><A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html#step()"><B>step()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.encoding.<A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding">RSNetEncoder</A>
<DD>Send one more block of the encoded data through the network.
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#step()"><B>step()</B></A> - 
Method in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Step all tasks.
<DT><A HREF="../org/bitfountain/network/server/FileReceiveTask.html#step(org.bitfountain.network.packets.FilePart)"><B>step(FilePart)</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileReceiveTask.html" title="class in org.bitfountain.network.server">FileReceiveTask</A>
<DD>Handle an incoming filePart packet and store it in the buffer.
<DT><A HREF="../org/bitfountain/network/server/FileSendTask.html#step()"><B>step()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileSendTask.html" title="class in org.bitfountain.network.server">FileSendTask</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/Task.html#step()"><B>step()</B></A> - 
Method in interface org.bitfountain.network.<A HREF="../org/bitfountain/network/Task.html" title="interface in org.bitfountain.network">Task</A>
<DD>Do a bit of work.
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#sub(int, int)"><B>sub(int, int)</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>Subtract b from a in this galois field.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-16.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-18.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-17.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-17.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>

</BODY>
</HTML>
